<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.DBusAclProvider.is_allowed &ndash; librygel-core &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.DBusAclProvider.is_allowed &ndash; librygel-core Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-core</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="interface"><a href="Rygel.DBusAclProvider.html">DBusAclProvider</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="constant"><a href="Rygel.DBusAclProvider.OBJECT_PATH.html">OBJECT_PATH</a></li>
          <li class="constant"><a href="Rygel.DBusAclProvider.SERVICE_NAME.html">SERVICE_NAME</a></li>
          <li class="abstract_method">is_allowed</li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">is_allowed</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <span class="main_keyword">abstract</span> <span class="main_keyword">async</span> <span class="main_basic_type"><span class="struct">bool</span></span> <b><span class="abstract_method">is_allowed</span></b> (<span class="main_type"><span class="class">HashTable</span></span>&lt;<span class="main_basic_type"><span class="class">string</span></span>,<span class="main_basic_type"><span class="class">string</span></span>&gt; device, <span class="main_type"><span class="class">HashTable</span></span>&lt;<span class="main_basic_type"><span class="class">string</span></span>,<span class="main_basic_type"><span class="class">string</span></span>&gt; service, <span class="main_basic_type"><span class="class">string</span></span> path, <span class="main_basic_type"><span class="class">string</span></span> address, <span class="main_basic_type"><span class="class">string</span></span>? agent) <span class="main_keyword">throws</span> <span class="main_type"><span class="errordomain">DBusError</span></span>, <span class="main_type"><span class="errordomain">IOError</span></span>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>